

<!-- BEGIN: Content-->
<div class="app-content content ">
    <div class="content-overlay"></div>
    <div class="header-navbar-shadow"></div>
    <div class="content-wrapper container-xxl p-0">
        <div class="content-header row">
        </div>
        <div class="content-body">
            <section *ngIf="isLoading; else notLoadingBlock">
                <div class="row">
                    <div class="col-12">
                        <div class="card">
                            <div class="card-body">
                                <div class="d-flex justify-content-center">
                                    <div class="spinner-border text-primary" role="status">
                            
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div> 
            </section>
            <ng-template #notLoadingBlock>
                <section *ngIf="project" >
                    
                    <!-- <div class="card accordion" id="accordionIconProject">
                        <div class="card-header accordion-header text-body d-flex justify-content-between" id="accordionIconProjectOne">
                                
                            <button type="button" class="accordion-button collapsed" data-bs-toggle="collapse" data-bs-target="#accordionIconProject-1" aria-controls="accordionIconProject-1">
                                <h2 class="card-title">Projet</h2>
                            </button>
                        </div>
                        <div id="accordionIconProject-1" class="card-body accordion-collapse collapse show" data-bs-parent="#accordionIconProject">
                            <div class="row">
                                <dl>
                                    <dt>Nom du projet</dt>
                                    <dd>{{project.project.nom}}</dd>


                                    <dt>Description et objectif du projet</dt>
                                    <dd>{{project.project.description}}</dd>


                                    <dt>Combien de personnes sont décisionnaires de ce projet?</dt>
                                    <dd>{{project.project.nbrPersonnesDecisionnaires}}</dd>


                                    <dt>Y’aurait-il eu un souci au niveau de l’ancien logo? Si oui, quel(s) était(en)t-il(s)?</dt>
                                    <dd>{{project.project.souciAncienLogo}}</dd>


                                    <dt>Quelle identité voudriez-vous apporter à votre nouveau logo?
                                        Pouvez-vous préciser ses spécificités/couleurs/variantes/déclinaisons?</dt>
                                    <dd>{{project.project.identiteNouveauLogo}}</dd>


                                    <dt>Disposez-vous de supports de communication?
                                        Si oui, pouvez-vous nous fournir les visuels déjà conçus.
                                        Si non, pouvez-vous nous fournir des visuels/photos/couleurs qui expliquent au mieux vos attentes</dt>
                                    <dd>
                                        <div class="d-flex flex-wrap mt-2" >
                                            <div class="btn-outline-secondary mb-1 d-flex align-items-stretch my-file-box me-50" *ngFor="let fichier of project.project.fichiers; let index = index" >
                                                <div class="p-50">
                                                    <i class="fa-solid fa-file"></i>
                                                    <span class="ms-50">{{fichier.nom}}</span>
                                                </div>
                                                <div class="p-50 close" (click)="downloadFile(fichier.chemin, fichier.nom)">
                                                    <i class="fa-solid fa-download"></i>
                                                </div>
                                            </div>
                                        </div>
                                    </dd>
                                </dl>
                                
                            </div>
                        </div>
                        
                    </div>    

                    <div class="card accordion" id="accordionIconClient">
                        <div class="card-header accordion-header text-body d-flex justify-content-between" id="accordionIconClientOne">
                                
                            <button type="button" class="accordion-button collapsed" data-bs-toggle="collapse" data-bs-target="#accordionIconClient-1" aria-controls="accordionIconClient-1">
                                <h2 class="card-title">Client</h2>
                            </button>
                        </div>
                        <div id="accordionIconClient-1" class="card-body accordion-collapse collapse show" data-bs-parent="#accordionIconClient">
                            <div class="row">
                                <dl>
                                    <dt>Type</dt>
                                    <dd>{{project.client.type == typesClient.particulier ? 'Particulier' : 'Société' }}</dd>


                                    <dt>Nom et prénom(s)</dt>
                                    <dd>{{project.client.prenom}} {{project.client.nom}}</dd>


                                    <dt>Pays</dt>
                                    <dd>{{project.client.pays}}</dd>


                                    <dt>Adresse</dt>
                                    <dd>{{project.client.adresse}}</dd>


                                    <dt>Pays / Province</dt>
                                    <dd>{{project.client.province}} </dd>


                                    <dt>Code postal</dt>
                                    <dd>
                                        {{project.client.codePostal}} 
                                    </dd>

                                    <dt>Logo</dt>
                                    <dd><img *ngIf="project.client.cheminLogo" [src]="getFileUrl(project.client.cheminLogo)" class="my-image-show mt-2"/></dd>
                                
                                    <dt>Quelle est l’histoire derrière votre logo? Quelle est sa signification?</dt>
                                    <dd>
                                        {{project.client.significationLogo}}
                                    </dd>
                                </dl>
                                
                            </div>
                        </div>
                        
                    </div>    
                        -->
                    <app-signbox [isSaveLoading]="isSaveLoading" (saveClicked)="save($event)"></app-signbox>

                    
                </section>
            </ng-template>              
        </div>
    </div>
</div>
<!-- END: Content-->

<!-- Car creation modal -->


<!-- Car update modal-->

